CVE-2017-7810

Priority
Description
Memory safety bugs were reported in Firefox 55 and Firefox ESR 52.3. Some
of these bugs showed evidence of memory corruption and we presume that with
enough effort that some of these could be exploited to run arbitrary code.
This vulnerability affects Firefox < 56, Firefox ESR < 52.4, and
Thunderbird < 52.4.
Notes
 tyhicks> mozjs contains a copy of the SpiderMonkey JavaScript engine
Assigned-to
chrisccoulson
Package
Upstream:released (56.0)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (56.0+build6-0ubuntu0.14.04.1)
Ubuntu 16.04 LTS (Xenial Xerus):released (56.0+build6-0ubuntu0.16.04.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (56.0+build6-0ubuntu1)
Ubuntu 18.10 (Cosmic Cuttlefish):released (56.0+build6-0ubuntu1)
Ubuntu 19.04 (Disco Dingo):released (56.0+build6-0ubuntu1)
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):needs-triage
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Package
Upstream:released (52.4.0)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):released (52.8.1-0ubuntu0.18.04.1)
Ubuntu 18.10 (Cosmic Cuttlefish):needed
Ubuntu 19.04 (Disco Dingo):needed
Package
Priority: Low
Upstream:released (52.4.0)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (1:52.4.0+build1-0ubuntu0.14.04.2)
Ubuntu 16.04 LTS (Xenial Xerus):released (1:52.4.0+build1-0ubuntu0.16.04.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (1:52.4.0+build1-0ubuntu2)
Ubuntu 18.10 (Cosmic Cuttlefish):released (1:52.4.0+build1-0ubuntu2)
Ubuntu 19.04 (Disco Dingo):released (1:52.4.0+build1-0ubuntu2)
More Information

Updated: 2019-03-19 11:25:52 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)